Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
View | Details | Raw Unified | Return to bug 594260
Collapse All | Expand All

(-)licq-1.8.2/src/licq.cpp.old (-3 / +3 lines)
Lines 568-585 Link Here
568
        if (!licqConf.get(szKey, pluginName))
568
        if (!licqConf.get(szKey, pluginName))
569
          continue;
569
          continue;
570
570
571
        bool loaded = LoadPlugin(pluginName, argc, argv);
571
        bool loaded = bool(LoadPlugin(pluginName, argc, argv));
572
572
573
        // Make upgrade from 1.3.x and older easier by automatically switching from kde/qt-gui to kde4/qt4-gui
573
        // Make upgrade from 1.3.x and older easier by automatically switching from kde/qt-gui to kde4/qt4-gui
574
        if (!loaded && pluginName == "kde-gui")
574
        if (!loaded && pluginName == "kde-gui")
575
        {
575
        {
576
          gLog.warning(tr("Plugin kde-gui is no longer available, trying to load kde4-gui instead."));
576
          gLog.warning(tr("Plugin kde-gui is no longer available, trying to load kde4-gui instead."));
577
          loaded = LoadPlugin("kde4-gui", argc, argv);
577
          loaded = bool(LoadPlugin("kde4-gui", argc, argv));
578
        }
578
        }
579
        if (!loaded && (pluginName == "qt-gui" || pluginName == "kde-gui"))
579
        if (!loaded && (pluginName == "qt-gui" || pluginName == "kde-gui"))
580
        {
580
        {
581
          gLog.warning(tr("Plugin %s is no longer available, trying to load qt4-gui instead."), pluginName.c_str());
581
          gLog.warning(tr("Plugin %s is no longer available, trying to load qt4-gui instead."), pluginName.c_str());
582
          loaded = LoadPlugin("qt4-gui", argc, argv);
582
          loaded = bool(LoadPlugin("qt4-gui", argc, argv));
583
        }
583
        }
584
584
585
        if (!loaded)
585
        if (!loaded)

Return to bug 594260